Xerces2 Implementation: Class Selector.Matcher

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.identity
Class Selector.Matcher

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.identity.XPathMatcher
            |
            +--org.apache.xerces.impl.xs.identity.Selector.Matcher

Enclosing class:
  Selector

public class Selector.Matcher
extends XPathMatcher

Selector matcher.

Author:
  Andy Clark, IBM

Field Summary
`protected int` | `fElementDepth` Element depth.
`protected FieldActivator` | `fFieldActivator` Field activator.
`protected int` | `fInitialDepth` Initial depth in the document at which this matcher was created.
`protected int` | `fMatchedDepth` Depth at match.

Fields inherited from class org.apache.xerces.impl.xs.identity.XPathMatcher
`DEBUG_ALL, DEBUG_ANY, DEBUG_MATCH, DEBUG_METHODS, DEBUG_METHODS2, DEBUG_METHODS3, DEBUG_STACK, fMatchedString, MATCHED, MATCHED_ATTRIBUTE, MATCHED_DESCENDANT, MATCHED_DESCENDANT_PREVIOUS`

Constructor Summary
`Selector.Matcher(Selector.XPath xpath, FieldActivator activator, int initialDepth)` Constructs a selector matcher.

Method Summary
`void` | `endElement(org.apache.xerces.xni.QName element, org.apache.xerces.xs.XSTypeDefinition type, boolean nillable, java.lang.Object actualValue)`
`IdentityConstraint` | `getIdentityConstraint()` Returns the identity constraint.
`int` | `getInitialDepth()` get the initial depth at which this selector matched.
`void` | `startDocumentFragment()` The start of the document fragment.
`void` | `startElement(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes)` The start of an element.

Methods inherited from class org.apache.xerces.impl.xs.identity.XPathMatcher
`handleContent, isMatched, matched, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fFieldActivator

    protected FieldActivator fFieldActivator

  Field activator.

### fInitialDepth

    protected int fInitialDepth

  Initial depth in the document at which this matcher was created.

### fElementDepth

    protected int fElementDepth

  Element depth.

### fMatchedDepth

    protected int fMatchedDepth

  Depth at match.

Constructor Detail

### Selector.Matcher

    public Selector.Matcher(Selector.XPath xpath,
                            FieldActivator activator,
                            int initialDepth)

  Constructs a selector matcher.

Method Detail

### startDocumentFragment

    public void startDocumentFragment()

  Description copied from class: `XPathMatcher`
  The start of the document fragment.
  Overrides:
    `startDocumentFragment` in class `XPathMatcher`
  Following copied from class: `org.apache.xerces.impl.xs.identity.XPathMatcher`
  Parameters:
    `context` - The namespace scope in effect at the start of this document fragment.

### startElement

    public void startElement(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes)

  The start of an element. If the document specifies the start element by using an empty tag, then the startElement method will immediately be followed by the endElement method, with no intervening methods.
  Overrides:
    `startElement` in class `XPathMatcher`
  Parameters:
    `element` - The name of the element.
    `attributes` - The element attributes.
    `elementDecl:` - The element declaration

### endElement

    public void endElement(org.apache.xerces.xni.QName element,
                           org.apache.xerces.xs.XSTypeDefinition type,
                           boolean nillable,
                           java.lang.Object actualValue)

  Overrides:
    `endElement` in class `XPathMatcher`
  Following copied from class: `org.apache.xerces.impl.xs.identity.XPathMatcher`
  Parameters:
    `element` - name of the element.
    `type` - content type of this element. IOW, the XML schema type of the `value`. Note that this may not be the type declared in the element declaration, but it is "the actual type". For example, if the XML is <foo xsi:type="xs:string">aaa</foo>, this parameter will be "xs:string".
    `nillable` - - nillable true if the element declaration is nillable.
    `value` - - actual value the typed value of the content of this element.

### getIdentityConstraint

    public IdentityConstraint getIdentityConstraint()

  Returns the identity constraint.

### getInitialDepth

    public int getInitialDepth()

  get the initial depth at which this selector matched.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.